#!/bin/sh 

#
# switch route script
# created by gaaronk (2:463/419) 
#

bsem=/tmp/backup.route
w1sem=/tmp/wan1.online
w2sem=/tmp/wan2.online
logf=/tmp/swroute.log

#w1gw=`nvram get wan_gateway`
w1gw=`nvram get wan1_gateway_t`
w2gw=`nvram get wan2_gateway_t`


echo `date '+%d/%m/%y %H:%M:%S'` >> $logf
echo `date '+%d/%m/%y %H:%M:%S'` switch rouing script start >> $logf


if [ -f $bsem ]; then echo `date '+%d/%m/%y %H:%M:%S'` default route now to wan2 >> $logf
                 else echo `date '+%d/%m/%y %H:%M:%S'` default route now to wan1 >> $logf
fi 


if [ ! -f $bsem ] && [ ! -f $w1sem ] && [ -f $w2sem ]; then
	echo `date '+%d/%m/%y %H:%M:%S'` switch default route to wan2 >> $logf 
	echo `date '+%d/%m/%y %H:%M:%S'` create file-flag $bsem >> $logf
	touch $bsem
	sleep 2
	echo `date '+%d/%m/%y %H:%M:%S'` change default route >> $logf
		
	route delete default
	route add default gw $w2gw
		
	echo `date '+%d/%m/%y %H:%M:%S'` done change route >> $logf
	echo `date '+%d/%m/%y %H:%M:%S'` change /etc/resolv.conf >> $logf
	
	cp /usr/local/etc/resolv.conf.wan2 /tmp/resolv.conf
	
	echo `date '+%d/%m/%y %H:%M:%S'`  >> $logf
fi
	
	
if [ -f $bsem ] && [ -f $w1sem ]; then
	echo `date '+%d/%m/%y %H:%M:%S'` switch default route to wan1 >> $logf
	echo `date '+%d/%m/%y %H:%M:%S'` change default route >> $logf
		
	route delete default
	route add default gw $w1gw
		
	echo `date '+%d/%m/%y %H:%M:%S'` done change route >> $logf
	sleep 2
	echo `date '+%d/%m/%y %H:%M:%S'` change /etc/resolv.conf >> $logf
	cp /usr/local/etc/resolv.conf.wan1 /tmp/resolv.conf
	echo `date '+%d/%m/%y %H:%M:%S'` delete file-flag $bsem >> $logf
	rm $bsem
	echo `date '+%d/%m/%y %H:%M:%S'`  >> $logf
fi
	

exit 0
